/*
 * slerp.hpp
 *
 *  Created on: Jun 19, 2024
 *      Author: Dario
 */

#ifndef STA_MATHS_ATTITUDE_SLERP_HPP
#define STA_MATHS_ATTITUDE_SLERP_HPP

#include <sta/math/quaternion.hpp>

namespace sta
{
	namespace math
	{

		Quaternion slerp(Quaternion q1, Quaternion q2, float beta);

	}  // namespace math
}  // namespace sta

#endif /* STA_MATHS_ATTITUDE_SLERP_HPP*/
